/*
  types.h
  -------
  $Id: types.h,v 1.4 2003/07/06 12:27:37 stewart Exp $

  Mostly glue around types that would usually be defined by the system.
  This is more portable (unfortunately).
 */
#ifndef __TYPES_H__
#define __TYPES_H__

#include <sys/types.h>

typedef int16_t s16;
typedef u_int16_t u16;
typedef int32_t s32;
typedef u_int32_t u32;
typedef int64_t s64;
typedef u_int64_t u64;

typedef u64 sector_t;
typedef int atomic_t;

#endif
